[
{
    blockid=ldap;
    help=service_ldap_ldap;
    custom="com.netscape.management.msgserv.RootInfoControl";
    localvar={
	/* translate this block */
	.cfgldap.border=[titled,"Conexi\u00f3n LDAP para configuraci\u00f3n de servidor"];
	.userldap.border=[titled,"Conexi\u00f3n LDAP para b\u00fasqueda de usuario"];
	.uselocal.text="Utilizar configuraci\u00f3n de directorio espec\u00edfica de Messaging Server";
	.host.text="Nombre de host:";
	.port.text="N\u00famero de puerto:";
	.binddn.text="DN de enlace: ";
	.usessl.text="utilizar SSL al conectar";
	.basedn.text="DN base:";
	.editpasswd.text="Cambiar contrase\u00f1a de enlace...";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=pane;
	    border=$.cfgldap.border;
	    constraint={
	        gridy=0;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.host.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=0;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldaphost.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.port.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapport.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.binddn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapsiedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.basedn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapbasedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.userldap.border;
	    constraint={
	        gridy=1;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    text=$.uselocal.text;
		    val=$local.ugldapuselocal.value;
		    showborder=false;
		    layout=[gridbag];
		    content=[
			{
			    ctrl=label;
			    id=hostlabel;
			    text=$.host.text;
			    target=hostctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=0;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=hostlabel;
			    id=hostctrl;
			    val=$local.ugldaphost.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=0;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=portlabel;
			    text=$.port.text;
			    target=portctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=number;
			    id=portctrl;
			    val=$local.ugldapport.value;
			    label=portlabel;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=dnlabel;
			    text=$.basedn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=dnlabel;
			    val=$local.ugldapbasedn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=binddnlabel;
			    text=$.binddn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=binddnlabel;
			    val=$local.ugldapbinddn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=separator;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        gridwidth=2;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=button;
			    text=$.editpasswd.text;
			    cmd=".editpasswd";
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weighty=1;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=proxy;
			    id=passwdproxy;
			    val=$local.ugldapbindcred.value;
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editpasswd;
    help=service_ldap_editpasswd;
    localvar={
	.siecred.text="Contrase\u00f1a:";
	.passwdagain.text="Confirmar contrase\u00f1a:";
	.info.text="Esto s\u00f3lo cambiar\u00e1 la contrase\u00f1a en la configuraci\u00f3n de mensajer\u00eda. Tiene que cambiar la contrase\u00f1a tambi\u00e9n en el directorio";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=siecredlabel;
		    text=$.siecred.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    val=$.newpasswd;
		    label=siecredlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=againlabel;
		    text=$.passwdagain.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    label=againlabel;
		    val=$.confirmpasswd;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[	    	
		{
		    ctrl=label;
		    id=infolabel;
		    text=$.info.text;
		    wrap=$g.label.size3;
		    aligny=0.5;
		}
	    ]
	}
    ]
}
]
